=== modified file 'share/extensions/inkex.py'
--- share/extensions/inkex.py	2013-09-17 16:31:58 +0000
+++ share/extensions/inkex.py	2013-09-21 13:48:22 +0000
@@ -177,13 +177,29 @@
 
     def parse(self,file=None):
         """Parse document in specified file or on stdin"""
-        try:
-            try:
-                stream = open(file,'r')
-            except:
-                stream = open(self.svg_file,'r')
-        except:
+
+        # First try to open the file from the function argument
+        if file != None:
+            try:
+                stream = open(file, 'r')
+            except:
+                errormsg(_("Unable to open specified file: %s") % file)
+                sys.exit()
+
+        # If it wasn't specified, try to open the file specified as
+        # an object member
+        elif self.svg_file != None:
+            try:
+                stream = open(self.svg_file, 'r')
+            except:
+                errormsg(_("Unable to open specified file: %s") % self.svg_file)
+                sys.exit()
+
+        # Finally, if the filename was not specified anywhere, use
+        # standard input stream
+        else:
             stream = sys.stdin
+
         p = etree.XMLParser(huge_tree=True)
         self.document = etree.parse(stream, parser=p)
         self.original_document = copy.deepcopy(self.document)

